microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Create an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations
Creates an invocation for the specified agent version.
路径参数
agent_name
string
必需
The name of the agent.
查询参数
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
必需
The API version to use for this operation.
标头参数
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
请求正文
The request body.
Content-Type: */*
响应
The request has succeeded.
标头
x-agent-invocation-id
string
必需
Unique identifier for this invocation.
x-agent-session-id
string
必需
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
正文
Content-Type: */*
请求
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
响应
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json